GET /v1/providers

Service: integrations · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 List of enabled wearable providers

{
  "type": "object",
  "properties": {
    "providers": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "slug": {
            "type": "string"
          },
          "supportedDataTypes": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "required": [
          "id",
          "name",
          "slug",
          "supportedDataTypes"
        ]
      }
    }
  },
  "required": [
    "providers"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://integrations.platform.loop.health/v1/providers \
  -H "Authorization: Bearer $ACCESS_TOKEN"